# Constant Field Values

## net.sf.*

net.sf.robocode.serialization.RbSerializer
Modifier and Type
Constant Field
Value
`public static final byte`
`BattleEndedEvent_TYPE`
`0x20`
`public static final byte`
`BattleResults_TYPE`
`0x8`
`public static final byte`
`Bullet_TYPE`
`0x9`
`public static final byte`
`BulletCommand_TYPE`
`0x2`
`public static final byte`
`BulletHitBulletEvent_TYPE`
`0x21`
`public static final byte`
`BulletHitEvent_TYPE`
`0x22`
`public static final byte`
`BulletMissedEvent_TYPE`
`0x23`
`public static final byte`
`BulletStatus_TYPE`
`0x7`
`public static final byte`
`DeathEvent_TYPE`
`0x24`
`public static final byte`
`DebugProperty_TYPE`
`0x4`
`public static final byte`
`ExecCommands_TYPE`
`0x1`
`public static final byte`
`ExecResults_TYPE`
`0x5`
`public static final byte`
`HitByBulletEvent_TYPE`
`0x2a`
`public static final byte`
`HitRobotEvent_TYPE`
`0x2b`
`public static final byte`
`HitWallEvent_TYPE`
`0x26`
`public static final byte`
`KeyPressedEvent_TYPE`
`0x2c`
`public static final byte`
`KeyReleasedEvent_TYPE`
`0x2d`
`public static final byte`
`KeyTypedEvent_TYPE`
`0x2e`
`public static final byte`
`MouseClickedEvent_TYPE`
`0x2f`
`public static final byte`
`MouseDraggedEvent_TYPE`
`0x30`
`public static final byte`
`MouseEnteredEvent_TYPE`
`0x31`
`public static final byte`
`MouseExitedEvent_TYPE`
`0x32`
`public static final byte`
`MouseMovedEvent_TYPE`
`0x33`
`public static final byte`
`MousePressedEvent_TYPE`
`0x34`
`public static final byte`
`MouseReleasedEvent_TYPE`
`0x35`
`public static final byte`
`MouseWheelMovedEvent_TYPE`
`0x36`
`public static final byte`
`RobotDeathEvent_TYPE`
`0x27`
`public static final byte`
`RobotStatics_TYPE`
`0xa`
`public static final byte`
`RobotStatus_TYPE`
`0x6`
`public static final byte`
`RoundEndedEvent_TYPE`
`0x37`
`public static final byte`
`ScannedRobotEvent_TYPE`
`0x29`
`public static final int`
`SIZEOF_BOOL`
`1`
`public static final int`
`SIZEOF_BYTE`
`1`
`public static final int`
`SIZEOF_CHAR`
`2`
`public static final int`
`SIZEOF_DOUBLE`
`8`
`public static final int`
`SIZEOF_INT`
`4`
`public static final int`
`SIZEOF_LONG`
`8`
`public static final int`
`SIZEOF_TYPEINFO`
`1`
`public static final byte`
`SkippedTurnEvent_TYPE`
`0x28`
`public static final byte`
`TeamMessage_TYPE`
`0x3`
`public static final byte`
`TERMINATOR_TYPE`
`0xff`
`public static final byte`
`WinEvent_TYPE`
`0x25`

## robocode.*

robocode.BattleResults
Modifier and Type
Constant Field
Value
`protected static final long`
`serialVersionUID`
`1L`
robocode.JuniorRobot
Modifier and Type
Constant Field
Value
`public static final int`
`black`
`0`
`public static final int`
`blue`
`255`
`public static final int`
`brown`
`9127187`
`public static final int`
`gray`
`8421504`
`public static final int`
`green`
`32768`
`public static final int`
`orange`
`16753920`
`public static final int`
`purple`
`8388736`
`public static final int`
`red`
`16711680`
`public static final int`
`white`
`16777215`
`public static final int`
`yellow`
`16776960`
robocode.Rules
Modifier and Type
Constant Field
Value
`public static final double`
`ACCELERATION`
`1.0`
`public static final double`
`DECELERATION`
`2.0`
`public static final double`
`GUN_TURN_RATE`
`20.0`
`public static final double`
`MAX_BULLET_POWER`
`3.0`
`public static final double`
`MAX_TURN_RATE`
`10.0`
`public static final double`
`MAX_VELOCITY`
`8.0`
`public static final double`
`MIN_BULLET_POWER`
`0.1`
`public static final double`
`RADAR_SCAN_RADIUS`
`1200.0`
`public static final double`
`RADAR_TURN_RATE`
`45.0`
`public static final double`
`ROBOT_HIT_BONUS`
`1.2`
`public static final double`
`ROBOT_HIT_DAMAGE`
`0.6`

## robocode.util.*

robocode.util.Utils
Modifier and Type
Constant Field
Value
`public static final double`
`NEAR_DELTA`
`1.0E-5`